Authorization: Bearer ********************curl --location '/Auths/SignUp' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"userDescription": {
"name": {
"ar": "أحمد محمد",
"en": "Ahmed Mohammed"
},
"email": "ahmed@example.com"
},
"tenantDescription": {
"name": {
"ar": "شركة أحمد",
"en": "Ahmed Company"
},
"businessName": {
"ar": "شركة أحمد للتجارة العامة",
"en": "Ahmed General Trading Co."
},
"logoUrl": "https://cdn.example.com/logos/ahmed-company.png",
"sector": "retail",
"purposeType": 1,
"settings": {
"timezone": "Asia/Aden"
}
},
"phone": "780000000",
"password": "Password123!",
"deviceId": "12345678-1234-1234-1234-123456789012"
}'{
"tokens": [
{
"tenantId": 0,
"relationshipTypeId": 0,
"roles": [
"string"
],
"token": "string",
"refreshToken": "string",
"expireAt": "2019-08-24T14:15:22.123Z"
}
],
"user": {
"rowNo": 0,
"id": 0,
"status": 0,
"description": null,
"createdAt": "2019-08-24T14:15:22.123Z",
"updatedAt": "2019-08-24T14:15:22.123Z"
},
"tenants": [
{
"rowNo": 0,
"id": 0,
"status": 0,
"description": null,
"createdAt": "2019-08-24T14:15:22.123Z",
"updatedAt": "2019-08-24T14:15:22.123Z"
}
],
"tenantRelationships": [
{
"rowNo": 0,
"tenantId": 0,
"userId": 0,
"typeId": 0,
"accountId": 0,
"status": 0,
"description": null,
"creatorUserId": 0,
"createdAt": "2019-08-24T14:15:22.123Z",
"updatorUserId": 0,
"updatedAt": "2019-08-24T14:15:22.123Z"
}
]
}